Bug 1122179 - Default Linux installation system fails with dracut-initqueue: Warning: Could not boot. dracut-initqueue: Warning: /dev/root does not exist
Summary: Default Linux installation system fails with dracut-initqueue: Warning: Could...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.0
Hardware: s390x
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 17:31 UTC by Bradley Gartside
Modified: 2019-03-05 19:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-12 20:25:50 UTC


Attachments (Terms of Use)

Description Bradley Gartside 2014-07-22 17:31:44 UTC
Description of problem:

     While following the Red Hat Enterprise Linux 7 Installation Guide for the default installation, the install process fails with the following console output:

     dracut-initqueueÝ573¨: Warning: Could not boot.   
     dracut-initqueueÝ573¨: Warning: /dev/root does not exist 
              Starting Dracut Emergency Shell... 
     Warning: /dev/root does not exist 
 
     Generating "/run/initramfs/rdsosreport.txt" 
 
 
     Entering emergency mode. Exit the shell to continue. 
     Type "journalctl" to view system logs. 
     You might want to save "/run/initramfs/rdsosreport.txt" to a USB
     stick or /boot after mounting them and attach it to a bug report. 
 
 
     dracut:/# 



Version-Release number of selected component (if applicable):
     Linux version 3.10.0-123.el7.s390x
     (mockbuild@s390-013.build.bos.redhat.com)
     (gcc version 4.8.2 20140120 (Red Hat 4.8.2-16)
     (GCC) ) #1 SMP Mon  May 5 11:18:08 EDT 2014

How reproducible:
     This happens every time with the kernel (kernel.img) and initial RAM disk
	(initrd.img) and generic.prm provided in the rhel-server-7.0-s390x-dvd.iso

Steps to Reproduce:
13.2.1. Booting the Installation
	After establishing a connection with the mainframe, you need to perform an initial program load (IPL), or boot, from the medium containing the installation program. T his document describes the most common methods of installing Red Hat Enterprise Linux on System z. In general, you can use any method to boot the Linux installation system, which consists of a kernel (kernel.img) and initial RAM disk (initrd.img) with at least the parameters in the generic.prm file.


Actual results:
dracut-initqueueÝ573¨: Warning: Could not boot.   
dracut-initqueueÝ573¨: Warning: /dev/root does not exist 
         Starting Dracut Emergency Shell... 
Warning: /dev/root does not exist 
 
Generating "/run/initramfs/rdsosreport.txt" 
 
 
Entering emergency mode. Exit the shell to continue. 
Type "journalctl" to view system logs. 
You might want to save "/run/initramfs/rdsosreport.txt" to a USB stick or /boot
after mounting them and attach it to a bug report. 
 
 
dracut:/# 

Expected results:

I expect to see something like this:

Scanning for available network devices... 
Autodetection found 0 devices. 
Note: There is a device blacklist active! (Clearing might take long)
c) clear blacklist, m) manual config, r) rescan, s) shell: 


Additional info:

The following is the complete console documentation of the z/VM guest environment with IPL output:

The following is the FILELIST of the files ftped from rhel-server-7.0-s390x-dvd.iso

 LNXRHEL  FILELIST A0  V 169  Trunc=169 Size=4 Line=1 Col=1 Alt=9
Cmd   Filename Filetype Fm Format Lrecl    Records     Blocks   Date     Time
      RHEL0700 PARM     A1 V         44          1          1  7/10/14 13:44:38
*     RHEL0700 EXEC     A1 V         73         67          1  7/09/14 14:27:58
      RHEL0700 KERNEL   A1 F         80      46253        888  7/08/14 14:48:20
      RHEL0700 INITRD   A1 F         80     322699       6303  7/08/14 14:43:37

The following is the contents of "generic.prm"

 RHEL0700 PARM     A1  V 80  Trunc=80 Size=1 Line=0 Col=1 Alt=0

      |...+....1....+....2....+....3....+....4....+....5....+....6....+....7....+....>
00000 * * * Top of File * * * 
00001 ro ramdisk_size=40000 cio_ignore=all,!condev                                    
00002 * * * End of File * * * 

The following is the output of the queries about the guest:

CP Q V OSA
OSA  005A ON NIC  005A  UNIT 000 SUBCHANNEL = 0000
     005A DEVTYPE OSA         VIRTUAL CHPID 04 OSD
     005A MAC 02-00-00-00-00-48 CURRENT
     005A QDIO-ELIGIBLE       QIOASSIST-ELIGIBLE
OSA  005B ON NIC  005A  UNIT 001 SUBCHANNEL = 0001
     005B DEVTYPE OSA         VIRTUAL CHPID 04 OSD
     005B QDIO-ELIGIBLE       QIOASSIST-ELIGIBLE
OSA  005C ON NIC  005A  UNIT 002 SUBCHANNEL = 0002
     005C DEVTYPE OSA         VIRTUAL CHPID 04 OSD
     005C QDIO-ELIGIBLE       QIOASSIST-ELIGIBLE
 
CP Q V DASD
DASD 0190 3390 620RES R/O        214 CYL ON DASD  3704 SUBCHANNEL = 000B
DASD 0191 3390 V54L25 R/W       1112 CYL ON DASD  3906 SUBCHANNEL = 0003
DASD 019D 3390 620RES R/O        292 CYL ON DASD  3704 SUBCHANNEL = 000D
DASD 019E 3390 620W02 R/O        600 CYL ON DASD  3708 SUBCHANNEL = 000C
DASD 0201 3390 V54LR1 R/W      10016 CYL ON DASD  3606 SUBCHANNEL = 0005
DASD 0202 3390 V54LR0 R/W      10016 CYL ON DASD  3605 SUBCHANNEL = 0004
 
CP Q STOR
STORAGE = 1G

The following is the console output from the "redhat.exec"

#CP LINK * 0700 0201
#CP CLOSE RDR
#CP PURGE RDR ALL
#CP SPOOL PUNCH * RDR
PUNCH RHEL0700 KERNEL A (NOH
RDR FILE 0185 SENT FROM LNXRHEL  PUN WAS 0185 RECS 046K CPY  001 A NOHOLD NOKEEP
PUNCH RHEL0700 PARM A (NOH
RDR FILE 0186 SENT FROM LNXRHEL  PUN WAS 0186 RECS 0001 CPY  001 A NOHOLD NOKEEP
PUNCH RHEL0700 INITRD A (NOH
RDR FILE 0187 SENT FROM LNXRHEL  PUN WAS 0187 RECS 323K CPY  001 A NOHOLD NOKEEP
#CP CHANGE RDR ALL KEEP NOHOLD
#CP IPL C
     NO FILES CHANGED
Uncompressing Linux...
Ok, booting the kernel.
 
Ý    0.000000¨ Initializing cgroup subsys cpuset 
Ý    0.000000¨ Initializing cgroup subsys cpu 
Ý    0.000000¨ Initializing cgroup subsys cpuacct 
Ý    0.000000¨ Linux version 3.10.0-123.el7.s390x (mockbuild@s390-013.build.bos.redhat.com) (gcc version 4.8.2 20140120 (Red Hat 4.8.2-16) (GCC) ) #1 SMP Mon
 May 5 11:18:08 EDT 2014 
Ý    0.000000¨ setup: Linux is running as a z/VM guest operating system in 64-bit mode 
Ý    0.000000¨ setup: Address spaces switched, mvcos available 
Ý    0.000000¨ Zone ranges: 
Ý    0.000000¨   DMA      Ýmem 0x00000000-0x7fffffff¨ 
Ý    0.000000¨   Normal   empty 
Ý    0.000000¨ Movable zone start for each node 
Ý    0.000000¨ Early memory node ranges 
Ý    0.000000¨   node   0: Ýmem 0x00000000-0x3fffffff¨ 
Ý    0.000000¨ PERCPU: Embedded 12 pages/cpu @000000000364f000 s18432 r8192 d22528 u49152 
Ý    0.000000¨ Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 258048 
Ý    0.000000¨ Kernel command line: ro ramdisk_size=40000 cio_ignore=all,!condev 
Ý    0.000000¨ PID hash table entries: 4096 (order: 3, 32768 bytes) 
Ý    0.000000¨ Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes) 
Ý    0.000000¨ Inode-cache hash table entries: 65536 (order: 7, 524288 bytes) 
Ý    0.000000¨ Memory: 990184k/1048576k available (5854k kernel code, 0k reserved, 3238k data, 332k init) 
Ý    0.000000¨ Write protected kernel read-only data: 0x100000 - 0x85ffff 
Ý    0.000000¨ SLUB: HWalign=256, Order=0-3, MinObjects=0, CPUs=64, Nodes=1 
Ý    0.000000¨ Hierarchical RCU implementation. 
Ý    0.000000¨  RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=64. 
Ý    0.000000¨ console ÝttyS0¨ enabled 
Ý    0.000000¨ allocated 4194304 bytes of page_cgroup 
Ý    0.000000¨ please try 'cgroup_disable=memory' option if you don't want memory cgroups 
Ý    0.226945¨ pid_max: default: 65536 minimum: 512 
Ý    0.228751¨ Security Framework initialized 
Ý    0.228771¨ SELinux:  Initializing. 
Ý    0.228803¨ Mount-cache hash table entries: 4096 
Ý    0.229158¨ Initializing cgroup subsys memory 
Ý    0.229177¨ Initializing cgroup subsys devices 
Ý    0.229185¨ Initializing cgroup subsys freezer 
Ý    0.229222¨ Initializing cgroup subsys net_cls 
Ý    0.229225¨ Initializing cgroup subsys blkio 
Ý    0.229228¨ Initializing cgroup subsys perf_event 
Ý    0.229599¨ cpu: 1 configured CPUs, 0 standby CPUs 
Ý    0.230734¨ Brought up 1 CPUs 
Ý    0.231124¨ devtmpfs: initialized 
Ý    0.232032¨ atomic64 test passed 
Ý    0.232106¨ NET: Registered protocol family 16 
Ý    0.232790¨ bio: create slab <bio-0> at 0 
Ý    0.233093¨ SCSI subsystem initialized 
Ý    0.236724¨ NetLabel: Initializing 
Ý    0.236728¨ NetLabel:  domain hash size = 128 
Ý    0.236730¨ NetLabel:  protocols = UNLABELED CIPSOv4 
Ý    0.236743¨ NetLabel:  unlabeled traffic allowed by default 
Ý    0.239208¨ NET: Registered protocol family 2 
Ý    0.239448¨ TCP established hash table entries: 8192 (order: 4, 65536 bytes) 
Ý    0.239529¨ TCP bind hash table entries: 8192 (order: 5, 131072 bytes) 
Ý    0.239639¨ TCP: Hash tables configured (established 8192 bind 8192) 
Ý    0.239722¨ TCP: reno registered 
Ý    0.239731¨ UDP hash table entries: 512 (order: 2, 16384 bytes) 
Ý    0.239747¨ UDP-Lite hash table entries: 512 (order: 2, 16384 bytes) 
Ý    0.239955¨ NET: Registered protocol family 1 
Ý    0.240008¨ Unpacking initramfs... 
Ý    4.623729¨ Freeing initrd memory: 25208K (10bd000 - 295b000) 
Ý    4.624704¨ futex hash table entries: 4096 (order: 8, 1048576 bytes) 
Ý    4.624810¨ Initialise system trusted keyring 
Ý    4.624901¨ audit: initializing netlink socket (disabled) 
Ý    4.624924¨ type=2000 audit(1405021458.963:1): initialized 
Ý    4.663788¨ HugeTLB registered 1 MB page size, pre-allocated 0 pages 
Ý    4.665047¨ VFS: Disk quotas dquot_6.5.2 
Ý    4.665094¨ Dquot-cache hash table entries: 512 (order 0, 4096 bytes) 
Ý    4.665304¨ msgmni has been set to 1983 
Ý    4.665376¨ Key type big_key registered 
Ý    4.665996¨ alg: No test for stdrng (krng) 
Ý    4.666008¨ NET: Registered protocol family 38 
Ý    4.666015¨ Key type asymmetric registered 
Ý    4.666021¨ Asymmetric key parser 'x509' registered 
Ý    4.666062¨ Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
Ý    4.666108¨ io scheduler noop registered 
Ý    4.666114¨ io scheduler deadline registered (default) 
Ý    4.666145¨ io scheduler cfq registered 
Ý    4.666206¨ pci_hotplug: PCI Hot Plug PCI Core version: 0.5 
Ý    4.666551¨ rdac: device handler registered 
Ý    4.666675¨ hp_sw: device handler registered 
Ý    4.666722¨ emc: device handler registered 
Ý    4.666726¨ alua: device handler registered 
Ý    4.666774¨ cio: Channel measurement facility initialized using format extended (mode autodetected) 
Ý    4.667297¨ drop_monitor: Initializing network drop monitor service 
Ý    4.667515¨ TCP: cubic registered 
Ý    4.667519¨ Initializing XFRM netlink socket 
Ý    4.667630¨ NET: Registered protocol family 10 
Ý    4.668131¨ NET: Registered protocol family 17 
Ý    4.668224¨ Loading compiled-in X.509 certificates 
Ý    4.669271¨ Loaded X.509 cert 'Red Hat Enterprise Linux Driver Update Program (key 3): bf57f3e87362bc7229d9f465321773dfd1f77a80' 
Ý    4.670276¨ Loaded X.509 cert 'Red Hat Enterprise Linux kpatch signing key: 4d38fd864ebe18c5f0b72e3852e2014c3a676fc8' 
Ý    4.671277¨ Loaded X.509 cert 'Red Hat Enterprise Linux kernel signing key: 3ac5fa1f3732b390b5434b109e30ddc1bc898f74' 
Ý    4.671293¨ registered taskstats version 1 
Ý    4.671628¨ Freeing unused kernel memory: 332K (8e2000 - 935000) 
Ý    4.677306¨ systemdÝ1¨: systemd 208 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ)
Ý    4.677415¨ systemdÝ1¨: Running in initial RAM disk. 
 
Welcome to  Ý0;34mRed Hat Enterprise Linux Server 7.0 (Maipo) dracut-033-161.el7 (Initramfs) Ý0m! 
 
Ý    4.677530¨ systemdÝ1¨: No hostname configured. 
Ý    4.677535¨ systemdÝ1¨: Set hostname to <localhost>. 
Ý    4.677632¨ systemdÝ1¨: Initializing machine ID from random generator. 
Ý    4.703202¨ systemdÝ1¨: Starting -.slice. 
Ý Ý32m  OK   Ý0m¨ Created slice -.slice. 
Ý    4.703419¨ systemdÝ1¨: Created slice -.slice. 
Ý    4.703458¨ systemdÝ1¨: Starting System Slice. 
Ý Ý32m  OK   Ý0m¨ Created slice System Slice. 
Ý    4.703561¨ systemdÝ1¨: Created slice System Slice. 
Ý    4.703594¨ systemdÝ1¨: Starting Slices. 
Ý Ý32m  OK   Ý0m¨ Reached target Slices. 
Ý    4.703619¨ systemdÝ1¨: Reached target Slices. 
Ý    4.703648¨ systemdÝ1¨: Starting Timers. 
Ý Ý32m  OK   Ý0m¨ Reached target Timers. 
Ý    4.703671¨ systemdÝ1¨: Reached target Timers. 
Ý    4.703702¨ systemdÝ1¨: Starting Journal Socket. 
Ý Ý32m  OK   Ý0m¨ Listening on Journal Socket. 
Ý    4.703772¨ systemdÝ1¨: Listening on Journal Socket. 
Ý    4.703944¨ systemdÝ1¨: Starting dracut cmdline hook... 
         Starting dracut cmdline hook... 
Ý    4.704311¨ systemdÝ1¨: Starting Apply Kernel Variables... 
         Starting Apply Kernel Variables... 
Ý    4.704764¨ systemdÝ1¨: Started Load Kernel Modules. 
Ý    4.704782¨ systemdÝ1¨: Starting Journal Service... 
         Starting Journal Service... 
Ý Ý32m  OK   Ý0m¨ Started Journal Service. 
Ý    4.705199¨ systemdÝ1¨: Started Journal Service. 
Ý Ý32m  OK   Ý0m¨ Listening on udev Kernel Socket. 
Ý Ý32m  OK   Ý0m¨ Listening on udev Control Socket. 
Ý Ý32m  OK   Ý0m¨ Reached target Sockets. 
Ý Ý32m  OK   Ý0m¨ Reached target Encrypted Volumes. 
         Starting Create list of required static device nodes...rrent kernel... 
         Starting Free all devices on startup... 
Ý    4.714374¨ systemd-journaldÝ53¨: Vacuuming done, freed 0 bytes 
         Starting Device-Mapper Multipath Device Controller... 
Ý Ý32m  OK   Ý0m¨ Reached target Swap. 
Ý Ý32m  OK   Ý0m¨ Reached target Local File Systems. 
Ý Ý32m  OK   Ý0m¨ Started Apply Kernel Variables. 
Ý    4.735466¨ device-mapper: uevent: version 1.0.3 
Ý    4.736186¨ device-mapper: ioctl: 4.27.0-ioctl (2013-10-30) initialised: dm-devel@redhat.com 
Ý Ý32m  OK   Ý0m¨ Started Create list of required static device nodes ...current kernel. 
         Starting Create static device nodes in /dev... 
Ý Ý32m  OK   Ý0m¨ Started Create static device nodes in /dev. 
Ý    4.756868¨ device-mapper: multipath: version 1.6.0 loaded 
Ý Ý32m  OK   Ý0m¨ Started Device-Mapper Multipath Device Controller. 
Ý Ý32m  OK   Ý0m¨ Started Free all devices on startup. 
Ý Ý32m  OK   Ý0m¨ Started dracut cmdline hook. 
         Starting dracut pre-udev hook... 
Ý    5.110687¨ squashfs: version 4.0 (2009/01/31) Phillip Lougher 
Ý    5.115869¨ Loading iSCSI transport class v2.0-870. 
Ý    5.122832¨ iscsi: registered transport (tcp) 
Ý    5.148565¨ md: raid0 personality registered for level 0 
Ý    5.151967¨ md: raid1 personality registered for level 1 
Ý    5.156280¨ xor: measuring software checksum speed 
Ý    5.252209¨    8regs     : 12239.200 MB/sec 
Ý    5.352214¨    8regs_prefetch:  9377.200 MB/sec 
Ý    5.452218¨    32regs    : 10230.000 MB/sec 
Ý    5.552219¨    32regs_prefetch:  8341.600 MB/sec 
Ý    5.552226¨ xor: using function: 8regs (12239.200 MB/sec) 
Ý    5.722224¨ raid6: int64x1   1752 MB/s 
Ý    5.892226¨ raid6: int64x2   2357 MB/s 
Ý    6.062238¨ raid6: int64x4   2408 MB/s 
Ý    6.232217¨ raid6: int64x8   2222 MB/s 
Ý    6.232223¨ raid6: using algorithm int64x4 (2408 MB/s) 
Ý    6.232225¨ raid6: using intx1 recovery algorithm 
Ý    6.240001¨ md: raid6 personality registered for level 6 
Ý    6.240005¨ md: raid5 personality registered for level 5 
Ý    6.240007¨ md: raid4 personality registered for level 4 
Ý    6.247027¨ md: raid10 personality registered for level 10 
Ý    6.249799¨ md: linear personality registered for level -1 
Ý    6.270243¨ device-mapper: multipath round-robin: version 1.0.0 loaded 
Ý    6.300493¨ RPC: Registered named UNIX socket transport module. 
Ý    6.300498¨ RPC: Registered udp transport module. 
Ý    6.300499¨ RPC: Registered tcp transport module. 
Ý    6.300502¨ RPC: Registered tcp NFSv4.1 backchannel transport module. 
Ý Ý32m  OK   Ý0m¨ Started dracut pre-udev hook. 
         Starting udev Kernel Device Manager... 
Ý Ý32m  OK   Ý0m¨ Started udev Kernel Device Manager. 
         Starting dracut pre-trigger hook... 
Ý    6.438756¨ systemd-udevdÝ464¨: starting version 208 
Ý Ý32m  OK   Ý0m¨ Started dracut pre-trigger hook. 
         Starting udev Coldplug all Devices... 
         Mounting Configuration File System... 
Ý Ý32m  OK   Ý0m¨ Started udev Coldplug all Devices. 
         Starting dracut initqueue hook... 
         Starting Show Plymouth Boot Screen... 
Ý Ý32m  OK   Ý0m¨ Mounted Configuration File System. 
Ý Ý32m  OK   Ý0m¨ Reached target System Initialization. 
Ý Ý32m  OK   Ý0m¨ Started Show Plymouth Boot Screen.   
Ý Ý32m  OK   Ý0m¨ Reached target Paths.   
Ý Ý32m  OK   Ý0m¨ Reached target Basic System.   
dracut-initqueueÝ573¨: Warning: Could not boot.   
Ý Ý32m  OK   Ý0m¨ Started Show Plymouth Boot Screen.   
Ý Ý32m  OK   Ý0m¨ Reached target Paths.   
Ý Ý32m  OK   Ý0m¨ Reached target Basic System.   
dracut-initqueueÝ573¨: Warning: Could not boot.   
dracut-initqueueÝ573¨: Warning: /dev/root does not exist 
         Starting Dracut Emergency Shell... 
Warning: /dev/root does not exist 
 
Generating "/run/initramfs/rdsosreport.txt" 
 
 
Entering emergency mode. Exit the shell to continue. 
Type "journalctl" to view system logs. 
You might want to save "/run/initramfs/rdsosreport.txt" to a USB stick or /boot
after mounting them and attach it to a bug report. 
 
 
dracut:/# 




The following cat output from "/run/initramfs/rdsosreport.txt"

dracut:/# cat /run/initramfs/rdsosreport.txt
cat /run/initramfs/rdsosreport.txt 
+ cat /lib/dracut/dracut-033-161.el7 
dracut-033-161.el7 
+ cat /proc/cmdline 
ro ramdisk_size=40000 cio_ignore=all,!condev 
+ 'Ý' -f /etc/cmdline '¨' 
+ for _i in '/etc/cmdline.d/*.conf' 
+ 'Ý' -f /etc/cmdline.d/99-anaconda-disable-disk-activation.conf '¨' 
+ echo /etc/cmdline.d/99-anaconda-disable-disk-activation.conf 
/etc/cmdline.d/99-anaconda-disable-disk-activation.conf 
+ cat /etc/cmdline.d/99-anaconda-disable-disk-activation.conf 
rd.dm=0 
rd.md=0 
rd.lvm=0 
rd.luks=0 
+ cat /proc/self/mountinfo 
1 1 0:1 / / rw shared:1 - rootfs rootfs rw 
17 1 0:3 / /proc rw,nosuid,nodev,noexec,relatime shared:2 - proc proc rw 
18 1 0:16 / /sys rw,nosuid,nodev,noexec,relatime shared:3 - sysfs sysfs rw 
19 1 0:5 / /dev rw,nosuid shared:8 - devtmpfs devtmpfs rw,size=495092k,nr_inodes=123773,mode=755 
20 18 0:15 / /sys/kernel/security rw,nosuid,nodev,noexec,relatime shared:4 - securityfs securityfs rw 
21 19 0:17 / /dev/shm rw,nosuid,nodev shared:9 - tmpfs tmpfs rw 
22 19 0:11 / /dev/pts rw,nosuid,noexec,relatime shared:10 - devpts devpts rw,gid=5,mode=620,ptmxmode=000
23 1 0:18 / /run rw,nosuid,nodev shared:11 - tmpfs tmpfs rw,mode=755 
24 18 0:19 / /sys/fs/cgroup rw,nosuid,nodev,noexec shared:5 - tmpfs tmpfs rw,mode=755 
25 24 0:20 / /sys/fs/cgroup/systemd rw,nosuid,nodev,noexec,relatime shared:6 - cgroup cgroup rw,xattr,release_agent=/usr/lib/systemd/systemd-cgr
me=systemd 
26 18 0:21 / /sys/fs/pstore rw,nosuid,nodev,noexec,relatime shared:7 - pstore pstore rw 
27 24 0:22 / /sys/fs/cgroup/cpuset rw,nosuid,nodev,noexec,relatime shared:12 - cgroup cgroup rw,cpuset 
28 24 0:23 / /sys/fs/cgroup/cpu,cpuacct rw,nosuid,nodev,noexec,relatime shared:13 - cgroup cgroup rw,cpuacct,cpu 
29 24 0:24 / /sys/fs/cgroup/memory rw,nosuid,nodev,noexec,relatime shared:14 - cgroup cgroup rw,memory 
30 24 0:25 / /sys/fs/cgroup/devices rw,nosuid,nodev,noexec,relatime shared:15 - cgroup cgroup rw,devices 
31 24 0:26 / /sys/fs/cgroup/freezer rw,nosuid,nodev,noexec,relatime shared:16 - cgroup cgroup rw,freezer 
32 24 0:27 / /sys/fs/cgroup/net_cls rw,nosuid,nodev,noexec,relatime shared:17 - cgroup cgroup rw,net_cls 
33 24 0:28 / /sys/fs/cgroup/blkio rw,nosuid,nodev,noexec,relatime shared:18 - cgroup cgroup rw,blkio 
34 24 0:29 / /sys/fs/cgroup/perf_event rw,nosuid,nodev,noexec,relatime shared:19 - cgroup cgroup rw,perf_event 
35 1 0:30 / /var/lib/nfs/rpc_pipefs rw,relatime shared:20 - rpc_pipefs rpc_pipefs rw 
36 18 0:31 / /sys/kernel/config rw,relatime shared:21 - configfs configfs rw 
+ cat /proc/mounts 
rootfs / rootfs rw 0 0 
proc /proc proc rw,nosuid,nodev,noexec,relatime 0 0 
sysfs /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0 
devtmpfs /dev devtmpfs rw,nosuid,size=495092k,nr_inodes=123773,mode=755 0 0 
securityfs /sys/kernel/security securityfs rw,nosuid,nodev,noexec,relatime 0 0 
tmpfs /dev/shm tmpfs rw,nosuid,nodev 0 0 
devpts /dev/pts devpts rw,nosuid,noexec,relatime,gid=5,mode=620,ptmxmode=000 0 0 
tmpfs /run tmpfs rw,nosuid,nodev,mode=755 0 0 
tmpfs /sys/fs/cgroup tmpfs rw,nosuid,nodev,noexec,mode=755 0 0 
cgroup /sys/fs/cgroup/systemd cgroup rw,nosuid,nodev,noexec,relatime,xattr,release_agent=/usr/lib/systemd/systemd-cgroups-agent,name=systemd 0 0
pstore /sys/fs/pstore pstore rw,nosuid,nodev,noexec,relatime 0 0 
cgroup /sys/fs/cgroup/cpuset cgroup rw,nosuid,nodev,noexec,relatime,cpuset 0 0 
cgroup /sys/fs/cgroup/cpu,cpuacct cgroup rw,nosuid,nodev,noexec,relatime,cpuacct,cpu 0 0 
cgroup /sys/fs/cgroup/memory cgroup rw,nosuid,nodev,noexec,relatime,memory 0 0 
cgroup /sys/fs/cgroup/devices cgroup rw,nosuid,nodev,noexec,relatime,devices 0 0 
cgroup /sys/fs/cgroup/freezer cgroup rw,nosuid,nodev,noexec,relatime,freezer 0 0 
cgroup /sys/fs/cgroup/net_cls cgroup rw,nosuid,nodev,noexec,relatime,net_cls 0 0 
cgroup /sys/fs/cgroup/blkio cgroup rw,nosuid,nodev,noexec,relatime,blkio 0 0 
cgroup /sys/fs/cgroup/perf_event cgroup rw,nosuid,nodev,noexec,relatime,perf_event 0 0 
rpc_pipefs /var/lib/nfs/rpc_pipefs rpc_pipefs rw,relatime 0 0 
configfs /sys/kernel/config configfs rw,relatime 0 0 
+ blkid 
+ blkid -o udev 
+ ls -l '/dev/disk/by*' 
ls: cannot access /dev/disk/by*: No such file or directory 
+ for _i in '/etc/conf.d/*.conf' 
+ 'Ý' -f /etc/conf.d/systemd.conf '¨' 
+ echo /etc/conf.d/systemd.conf 
/etc/conf.d/systemd.conf 
+ cat /etc/conf.d/systemd.conf 
systemdutildir="/usr/lib/systemd" 
systemdsystemunitdir="/usr/lib/systemd/system" 
systemdsystemconfdir="/etc/systemd/system" 
+ command -v lvm 
+ lvm pvdisplay 
+ lvm vgdisplay 
  No volume groups found 
+ lvm lvdisplay 
  No volume groups found 
+ command -v dmsetup 
+ dmsetup ls --tree 
No devices found 
+ cat /proc/mdstat 
Personalities : Ýraid0¨ Ýraid1¨ Ýraid6¨ Ýraid5¨ Ýraid4¨ Ýraid10¨ Ýlinear¨  
unused devices: <none> 
+ command -v ip 
+ ip addr 
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN  
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00 
    inet 127.0.0.1/8 scope host lo 
       valid_lft forever preferred_lft forever 
    inet6 ::1/128 scope host  
       valid_lft forever preferred_lft forever 
+ command -v journalctl 
+ journalctl -ab --no-pager -o short-monotonic 
-- Logs begin at Thu 2014-07-10 19:51:29 UTC, end at Thu 2014-07-10 19:54:35 UTC. -- 
Ý    4.745696¨ localhost systemd-journalÝ53¨: Runtime journal is using 6.2M (max 49.5M, leaving 74.3M of free 489.7M, current limit 49.5M). 
Ý    4.745951¨ localhost systemd-journalÝ53¨: Runtime journal is using 6.2M (max 49.5M, leaving 74.3M of free 489.7M, current limit 49.5M). 
Ý    0.000000¨ localhost kernel: Initializing cgroup subsys cpuset 
Ý    0.000000¨ localhost kernel: Initializing cgroup subsys cpu 
Ý    0.000000¨ localhost kernel: Initializing cgroup subsys cpuacct 
Ý    0.000000¨ localhost kernel: Linux version 3.10.0-123.el7.s390x (mockbuild@s390-013.build.bos.redhat.com) (gcc version 4.8.2 20140120 (Red Hat 4.8.2-16)
(GCC) ) #1 SMP Mon May 5 11:18:08 EDT 2014 
Ý    0.000000¨ localhost kernel: setup: Linux is running as a z/VM guest operating system in 64-bit mode 
Ý    0.000000¨ localhost kernel: setup: Address spaces switched, mvcos available 
Ý    0.000000¨ localhost kernel: Zone ranges: 
Ý    0.000000¨ localhost kernel:   DMA      Ýmem 0x00000000-0x7fffffff¨ 
Ý    0.000000¨ localhost kernel:   Normal   empty 
Ý    0.000000¨ localhost kernel: Movable zone start for each node 
Ý    0.000000¨ localhost kernel: Early memory node ranges 
Ý    0.000000¨ localhost kernel:   node   0: Ýmem 0x00000000-0x3fffffff¨ 
Ý    0.000000¨ localhost kernel: On node 0 totalpages: 262144 
Ý    0.000000¨ localhost kernel:   DMA zone: 4096 pages used for memmap 
Ý    0.000000¨ localhost kernel:   DMA zone: 0 pages reserved 
Ý    0.000000¨ localhost kernel:   DMA zone: 262144 pages, LIFO batch:31 
Ý    0.000000¨ localhost kernel: PERCPU: Embedded 12 pages/cpu @000000000364f000 s18432 r8192 d22528 u49152 
Ý    0.000000¨ localhost kernel: pcpu-alloc: s18432 r8192 d22528 u49152 alloc=12*4096 
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 00 Ý0¨ 01 Ý0¨ 02 Ý0¨ 03 Ý0¨ 04 Ý0¨ 05 Ý0¨ 06 Ý0¨ 07  
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 08 Ý0¨ 09 Ý0¨ 10 Ý0¨ 11 Ý0¨ 12 Ý0¨ 13 Ý0¨ 14 Ý0¨ 15  
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 16 Ý0¨ 17 Ý0¨ 18 Ý0¨ 19 Ý0¨ 20 Ý0¨ 21 Ý0¨ 22 Ý0¨ 23  
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 24 Ý0¨ 25 Ý0¨ 26 Ý0¨ 27 Ý0¨ 28 Ý0¨ 29 Ý0¨ 30 Ý0¨ 31  
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 32 Ý0¨ 33 Ý0¨ 34 Ý0¨ 35 Ý0¨ 36 Ý0¨ 37 Ý0¨ 38 Ý0¨ 39  
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 40 Ý0¨ 41 Ý0¨ 42 Ý0¨ 43 Ý0¨ 44 Ý0¨ 45 Ý0¨ 46 Ý0¨ 47  
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 48 Ý0¨ 49 Ý0¨ 50 Ý0¨ 51 Ý0¨ 52 Ý0¨ 53 Ý0¨ 54 Ý0¨ 55  
Ý    0.000000¨ localhost kernel: pcpu-alloc: Ý0¨ 56 Ý0¨ 57 Ý0¨ 58 Ý0¨ 59 Ý0¨ 60 Ý0¨ 61 Ý0¨ 62 Ý0¨ 63  
Ý    0.000000¨ localhost kernel: Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 258048 
Ý    0.000000¨ localhost kernel: Kernel command line: ro ramdisk_size=40000 cio_ignore=all,!condev 
Ý    0.000000¨ localhost kernel: PID hash table entries: 4096 (order: 3, 32768 bytes) 
Ý    0.000000¨ localhost kernel: Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes) 
Ý    0.000000¨ localhost kernel: Inode-cache hash table entries: 65536 (order: 7, 524288 bytes) 
Ý    0.000000¨ localhost kernel: Memory: 990184k/1048576k available (5854k kernel code, 0k reserved, 3238k data, 332k init)
Ý    0.000000¨ localhost kernel: Write protected kernel read-only data: 0x100000 - 0x85ffff 
Ý    0.000000¨ localhost kernel: SLUB: HWalign=256, Order=0-3, MinObjects=0, CPUs=64, Nodes=1 
Ý    0.000000¨ localhost kernel: Hierarchical RCU implementation. 
Ý    0.000000¨ localhost kernel: ]RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=64. 
Ý    0.000000¨ localhost kernel: console ÝttyS0¨ enabled 
Ý    0.000000¨ localhost kernel: allocated 4194304 bytes of page_cgroup 
Ý    0.000000¨ localhost kernel: please try 'cgroup_disable=memory' option if you don't want memory cgroups 
Ý    0.227068¨ localhost kernel: Calibrating delay loop (skipped)... 8992.00 BogoMIPS preset 
Ý    0.227070¨ localhost kernel: pid_max: default: 65536 minimum: 512 
Ý    0.227123¨ localhost kernel: Security Framework initialized 
Ý    0.227141¨ localhost kernel: SELinux:  Initializing. 
Ý    0.227159¨ localhost kernel: SELinux:  Starting in permissive mode 
Ý    0.227173¨ localhost kernel: Mount-cache hash table entries: 4096 
Ý    0.227515¨ localhost kernel: Initializing cgroup subsys memory 
Ý    0.227534¨ localhost kernel: Initializing cgroup subsys devices 
Ý    0.227542¨ localhost kernel: Initializing cgroup subsys freezer 
Ý    0.227579¨ localhost kernel: Initializing cgroup subsys net_cls 
Ý    0.227583¨ localhost kernel: Initializing cgroup subsys blkio 
Ý    0.227585¨ localhost kernel: Initializing cgroup subsys perf_event 
Ý    0.227960¨ localhost kernel: cpu: 1 configured CPUs, 0 standby CPUs 
Ý    0.229079¨ localhost kernel: Brought up 1 CPUs 
Ý    0.229473¨ localhost kernel: devtmpfs: initialized 
Ý    0.230370¨ localhost kernel: atomic64 test passed 
Ý    0.230443¨ localhost kernel: NET: Registered protocol family 16 
Ý    0.231082¨ localhost kernel: bio: create slab <bio-0> at 0 
Ý    0.231304¨ localhost kernel: SCSI subsystem initialized 
Ý    0.234506¨ localhost kernel: NetLabel: Initializing 
Ý    0.234509¨ localhost kernel: NetLabel:  domain hash size = 128 
Ý    0.234510¨ localhost kernel: NetLabel:  protocols = UNLABELED CIPSOv4 
Ý    0.234525¨ localhost kernel: NetLabel:  unlabeled traffic allowed by default 
Ý    0.236975¨ localhost kernel: NET: Registered protocol family 2 
Ý    0.237212¨ localhost kernel: TCP established hash table entries: 8192 (order: 4, 65536 bytes) 
Ý    0.237293¨ localhost kernel: TCP bind hash table entries: 8192 (order: 5, 131072 bytes) 
Ý    0.237399¨ localhost kernel: TCP: Hash tables configured (established 8192 bind 8192) 
Ý    0.237474¨ localhost kernel: TCP: reno registered 
Ý    0.237483¨ localhost kernel: UDP hash table entries: 512 (order: 2, 16384 bytes) 
Ý    0.237499¨ localhost kernel: UDP-Lite hash table entries: 512 (order: 2, 16384 bytes) 
Ý    0.237700¨ localhost kernel: NET: Registered protocol family 1 
Ý    0.237752¨ localhost kernel: Unpacking initramfs... 
Ý    4.651249¨ localhost kernel: Freeing initrd memory: 25208K (10bd000 - 295b000) 
Ý    4.652253¨ localhost kernel: futex hash table entries: 4096 (order: 8, 1048576 bytes) 
Ý    4.652328¨ localhost kernel: Initialise system trusted keyring 
Ý    4.652413¨ localhost kernel: audit: initializing netlink socket (disabled) 
Ý    4.652436¨ localhost kernel: type=2000 audit(1405021889.007:1): initialized 
Ý    4.690468¨ localhost kernel: HugeTLB registered 1 MB page size, pre-allocated 0 pages 
Ý    4.691798¨ localhost kernel: VFS: Disk quotas dquot_6.5.2 
Ý    4.691848¨ localhost kernel: Dquot-cache hash table entries: 512 (order 0, 4096 bytes) 
Ý    4.692069¨ localhost kernel: msgmni has been set to 1983 
Ý    4.692147¨ localhost kernel: Key type big_key registered 
Ý    4.692161¨ localhost kernel: SELinux:  Registering netfilter hooks 
Ý    4.692837¨ localhost kernel: alg: No test for stdrng (krng) 
Ý    4.692850¨ localhost kernel: NET: Registered protocol family 38 
Ý    4.692857¨ localhost kernel: Key type asymmetric registered 
Ý    4.692864¨ localhost kernel: Asymmetric key parser 'x509' registered 
Ý    4.692917¨ localhost kernel: Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253) 
Ý    4.692968¨ localhost kernel: io scheduler noop registered 
Ý    4.692974¨ localhost kernel: io scheduler deadline registered (default) 
Ý    4.693005¨ localhost kernel: io scheduler cfq registered 
Ý    4.693066¨ localhost kernel: pci_hotplug: PCI Hot Plug PCI Core version: 0.5 
Ý    4.693408¨ localhost kernel: rdac: device handler registered 
Ý    4.693580¨ localhost kernel: hp_sw: device handler registered 
Ý    4.693583¨ localhost kernel: emc: device handler registered 
Ý    4.693585¨ localhost kernel: alua: device handler registered 
Ý    4.693616¨ localhost kernel: cio: Channel measurement facility initialized using format extended (mode autodetected) 
Ý    4.694067¨ localhost kernel: drop_monitor: Initializing network drop monitor service 
Ý    4.694278¨ localhost kernel: TCP: cubic registered 
Ý    4.694283¨ localhost kernel: Initializing XFRM netlink socket 
Ý    4.694392¨ localhost kernel: NET: Registered protocol family 10 
Ý    4.694813¨ localhost kernel: NET: Registered protocol family 17 
Ý    4.694892¨ localhost kernel: Loading compiled-in X.509 certificates 
Ý    4.695969¨ localhost kernel: Loaded X.509 cert 'Red Hat Enterprise Linux Driver Update Program (key 3): bf57f3e87362bc7229d9f465321773dfd1f77a80' 
Ý    4.696977¨ localhost kernel: Loaded X.509 cert 'Red Hat Enterprise Linux kpatch signing key: 4d38fd864ebe18c5f0b72e3852e2014c3a676fc8' 
Ý    4.698015¨ localhost kernel: Loaded X.509 cert 'Red Hat Enterprise Linux kernel signing key: 3ac5fa1f3732b390b5434b109e30ddc1bc898f74' 
Ý    4.698035¨ localhost kernel: registered taskstats version 1 
Ý    4.698371¨ localhost kernel: Freeing unused kernel memory: 332K (8e2000 - 935000) 
Ý    4.704069¨ localhost systemdÝ1¨: systemd 208 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ)
Ý    4.704189¨ localhost systemdÝ1¨: Running in initial RAM disk. 
Ý    4.704318¨ localhost systemdÝ1¨: No hostname configured. 
Ý    4.704324¨ localhost systemdÝ1¨: Set hostname to <localhost>. 
Ý    4.704422¨ localhost systemdÝ1¨: Initializing machine ID from random generator. 
Ý    4.729188¨ localhost systemdÝ1¨: Starting -.slice. 
Ý    4.729409¨ localhost systemdÝ1¨: Created slice -.slice. 
Ý    4.729452¨ localhost systemdÝ1¨: Starting System Slice. 
Ý    4.729552¨ localhost systemdÝ1¨: Created slice System Slice. 
Ý    4.729592¨ localhost systemdÝ1¨: Starting Slices. 
Ý    4.729617¨ localhost systemdÝ1¨: Reached target Slices. 
Ý    4.729647¨ localhost systemdÝ1¨: Starting Timers. 
Ý    4.729670¨ localhost systemdÝ1¨: Reached target Timers. 
Ý    4.729701¨ localhost systemdÝ1¨: Starting Journal Socket. 
Ý    4.729775¨ localhost systemdÝ1¨: Listening on Journal Socket. 
Ý    4.729975¨ localhost systemdÝ1¨: Starting dracut cmdline hook... 
Ý    4.730334¨ localhost systemdÝ1¨: Starting Apply Kernel Variables... 
Ý    4.730795¨ localhost systemdÝ1¨: Started Load Kernel Modules. 
Ý    4.730820¨ localhost systemdÝ1¨: Starting Journal Service... 
Ý    4.731223¨ localhost systemdÝ1¨: Started Journal Service. 
Ý    4.748102¨ localhost systemd-journalÝ53¨: Journal started 
Ý    4.748463¨ localhost systemdÝ1¨: Starting udev Kernel Socket. 
Ý    4.748746¨ localhost systemdÝ1¨: Listening on udev Kernel Socket. 
Ý    4.748990¨ localhost systemdÝ1¨: Starting udev Control Socket. 
Ý    4.749220¨ localhost systemdÝ1¨: Listening on udev Control Socket. 
Ý    4.749448¨ localhost systemdÝ1¨: Starting Sockets. 
Ý    4.749675¨ localhost systemdÝ1¨: Reached target Sockets. 
Ý    4.749907¨ localhost systemdÝ1¨: Started Setup Virtual Console. 
Ý    4.750133¨ localhost systemdÝ1¨: Starting Encrypted Volumes. 
Ý    4.750361¨ localhost systemdÝ1¨: Reached target Encrypted Volumes. 
Ý    4.750594¨ localhost systemdÝ1¨: Starting Create list of required static device nodes for the current kernel...
Ý    4.750825¨ localhost systemdÝ1¨: Starting Free all devices on startup... 
Ý    4.752947¨ localhost systemdÝ1¨: Starting Device-Mapper Multipath Device Controller... 
Ý    4.753191¨ localhost systemdÝ1¨: Starting Swap. 
Ý    4.753424¨ localhost systemdÝ1¨: Reached target Swap. 
Ý    4.753668¨ localhost systemdÝ1¨: Starting Local File Systems. 
Ý    4.753903¨ localhost systemdÝ1¨: Reached target Local File Systems. 
Ý    4.754140¨ localhost systemdÝ1¨: Started Apply Kernel Variables. 
Ý    4.760010¨ localhost systemdÝ1¨: Started Create list of required static device nodes for the current kernel. 
Ý    4.760256¨ localhost systemdÝ1¨: Starting Create static device nodes in /dev... 
Ý    4.766607¨ localhost kernel: device-mapper: uevent: version 1.0.3 
Ý    4.774489¨ localhost kernel: device-mapper: ioctl: 4.27.0-ioctl (2013-10-30) initialised: dm-devel@redhat.com 
Ý    4.784099¨ localhost systemdÝ1¨: Started Create static device nodes in /dev. 
Ý    4.786180¨ localhost kernel: device-mapper: multipath: version 1.6.0 loaded 
Ý    4.798605¨ localhost systemdÝ1¨: PID file /var/run/multipathd/multipathd.pid not readable (yet?) after start. 
Ý    4.810688¨ localhost systemdÝ1¨: Started Device-Mapper Multipath Device Controller. 
Ý    4.815988¨ localhost dracut-cmdlineÝ51¨: dracut-7.0 (Maipo) dracut-033-161.el7 
Ý    4.818547¨ localhost systemdÝ1¨: Started Free all devices on startup. 
Ý    4.880481¨ localhost dracut-cmdlineÝ51¨: Loading Red Hat Enterprise Linux 7.0 s390x installer... 
Ý    4.991829¨ localhost dracut-cmdlineÝ51¨: rd.luks=0: removing cryptoluks activation 
Ý    5.021452¨ localhost dracut-cmdlineÝ51¨: rd.lvm=0: removing LVM activation 
Ý    5.113942¨ localhost systemdÝ1¨: Started dracut cmdline hook. 
Ý    5.114208¨ localhost systemdÝ1¨: Starting dracut pre-udev hook... 
Ý    5.139289¨ localhost kernel: squashfs: version 4.0 (2009/01/31) Phillip Lougher 
Ý    5.144767¨ localhost kernel: Loading iSCSI transport class v2.0-870. 
Ý    5.152096¨ localhost kernel: iscsi: registered transport (tcp) 
Ý    5.179387¨ localhost kernel: md: raid0 personality registered for level 0 
Ý    5.182973¨ localhost kernel: md: raid1 personality registered for level 1 
Ý    5.187715¨ localhost kernel: xor: measuring software checksum speed 
Ý    5.281921¨ localhost kernel:    8regs     : 11828.000 MB/sec 
Ý    5.381917¨ localhost kernel:    8regs_prefetch:  9598.400 MB/sec 
Ý    5.481917¨ localhost kernel:    32regs    : 10082.800 MB/sec 
Ý    5.581918¨ localhost kernel:    32regs_prefetch:  8213.600 MB/sec 
Ý    5.581924¨ localhost kernel: xor: using function: 8regs (11828.000 MB/sec) 
Ý    5.751949¨ localhost kernel: raid6: int64x1   1758 MB/s 
Ý    5.921938¨ localhost kernel: raid6: int64x2   2357 MB/s 
Ý    6.091931¨ localhost kernel: raid6: int64x4   2398 MB/s 
Ý    6.261931¨ localhost kernel: raid6: int64x8   2222 MB/s 
Ý    6.261936¨ localhost kernel: raid6: using algorithm int64x4 (2398 MB/s) 
Ý    6.261939¨ localhost kernel: raid6: using intx1 recovery algorithm 
Ý    6.270063¨ localhost kernel: md: raid6 personality registered for level 6 
Ý    6.270068¨ localhost kernel: md: raid5 personality registered for level 5 
Ý    6.270070¨ localhost kernel: md: raid4 personality registered for level 4 
Ý    6.277315¨ localhost kernel: md: raid10 personality registered for level 10 
Ý    6.280147¨ localhost kernel: md: linear personality registered for level -1 
Ý    6.301441¨ localhost kernel: device-mapper: multipath round-robin: version 1.0.0 loaded 
Ý    6.333414¨ localhost kernel: RPC: Registered named UNIX socket transport module. 
Ý    6.333419¨ localhost kernel: RPC: Registered udp transport module. 
Ý    6.333422¨ localhost kernel: RPC: Registered tcp transport module. 
Ý    6.333423¨ localhost kernel: RPC: Registered tcp NFSv4.1 backchannel transport module. 
Ý    6.388541¨ localhost rpc.statdÝ438¨: Version 1.3.0 starting 
Ý    6.422703¨ localhost rpc.statdÝ438¨: Initializing NSM state 
Ý    6.423627¨ localhost rpc.statdÝ438¨: Running as root.  chown /var/lib/nfs/statd to choose different user
Ý    6.470961¨ localhost systemdÝ1¨: Started dracut pre-udev hook. 
Ý    6.471246¨ localhost systemdÝ1¨: Starting udev Kernel Device Manager... 
Ý    6.474429¨ localhost systemdÝ1¨: Started udev Kernel Device Manager. 
Ý    6.474682¨ localhost systemdÝ1¨: Starting dracut pre-trigger hook... 
Ý    6.474739¨ localhost systemd-udevdÝ465¨: starting version 208 
Ý    6.504828¨ localhost dracut-pre-triggerÝ466¨: rd.dm=0: removing DM RAID activation 
Ý    6.518248¨ localhost dracut-pre-triggerÝ466¨: rd.md.imsm=0: no MD RAID for imsm/isw raids 
Ý    6.526677¨ localhost dracut-pre-triggerÝ466¨: rd.md.ddf=0: no MD RAID for SNIA ddf raids 
Ý    6.546935¨ localhost dracut-pre-triggerÝ466¨: rd.md=0: removing MD RAID activation 
Ý    6.614138¨ localhost systemdÝ1¨: Started dracut pre-trigger hook. 
Ý    6.614408¨ localhost systemdÝ1¨: Starting udev Coldplug all Devices... 
Ý    6.634667¨ localhost systemdÝ1¨: Mounting Configuration File System... 
Ý    6.648511¨ localhost systemdÝ1¨: Started udev Coldplug all Devices. 
Ý    6.648767¨ localhost systemdÝ1¨: Starting dracut initqueue hook... 
Ý    6.649009¨ localhost systemdÝ1¨: Starting Show Plymouth Boot Screen... 
Ý    6.663413¨ localhost systemdÝ1¨: Mounted Configuration File System. 
Ý    6.663666¨ localhost systemdÝ1¨: Starting System Initialization. 
Ý    6.663906¨ localhost systemdÝ1¨: Reached target System Initialization. 
Ý    6.693773¨ localhost systemdÝ1¨: Started Show Plymouth Boot Screen. 
Ý    6.694029¨ localhost systemdÝ1¨: Starting Forward Password Requests to Plymouth Directory Watch. 
Ý    6.694280¨ localhost systemdÝ1¨: Started Forward Password Requests to Plymouth Directory Watch. 
Ý    6.694521¨ localhost systemdÝ1¨: Started Dispatch Password Requests to Console Directory Watch. 
Ý    6.694779¨ localhost systemdÝ1¨: Starting Paths. 
Ý    6.695021¨ localhost systemdÝ1¨: Reached target Paths. 
Ý    6.695265¨ localhost systemdÝ1¨: Starting Basic System. 
Ý    6.695503¨ localhost systemdÝ1¨: Reached target Basic System. 
Ý    6.700280¨ localhost systemdÝ1¨: Reloading. 
Ý  191.089287¨ localhost dracut-initqueueÝ573¨: Warning: Could not boot. 
Ý  191.091535¨ localhost dracut-initqueueÝ573¨: Warning: /dev/root does not exist 
Ý  191.113266¨ localhost systemdÝ1¨: Started Setup Virtual Console. 
Ý  191.113536¨ localhost systemdÝ1¨: Starting Dracut Emergency Shell... 
dracut:/#

Comment 2 Anton Chernomaz 2014-07-27 12:07:04 UTC
Got very similar on Supermicro

I am trying to kickstart RH7.0 on this server and receive same error
while on othere servers (from different vendors) no such problem

my pxe line:
LABEL RH7.0x64_hpc
      kernel RH/7.0/GA/x86_64/vmlinuz
      append initrd=RH/7.0/GA/x86_64/initrd.img ks=http://webrepo/confs/RH/7.0/GA/x86_64/ksnew-hpc.cfg ksdevice=bootif
      IPAPPEND 2

this link not helps,though it looks similar:
https://access.redhat.com/solutions/647943

Comment 3 Harald Hoyer 2014-08-14 12:27:04 UTC
Please add "rd.debug" to the kernel command line and attach the rdsosreport from that boot for further debugging.

Reassigning to anaconda for comments on the completeness of the kernel command line parameters.

Comment 4 David Cantrell 2014-10-30 17:29:55 UTC
Kernel parameters noted in the opening comment are sufficient for s390x.  You can see the default parameters shipped with the RHEL-7 s390x media in the images/generic.prm file.

Comment 5 Harald Hoyer 2014-11-04 14:53:54 UTC
(In reply to David Cantrell from comment #4)
> Kernel parameters noted in the opening comment are sufficient for s390x. 
> You can see the default parameters shipped with the RHEL-7 s390x media in
> the images/generic.prm file.

from comment #1:
+ cat /proc/cmdline 
ro ramdisk_size=40000 cio_ignore=all,!condev 

Well, I don't see any "root=.." kernel command line parameter, nor any other predefined parameters, except:

from comment #1:
+ cat /etc/cmdline.d/99-anaconda-disable-disk-activation.conf 
rd.dm=0 
rd.md=0 
rd.lvm=0 
rd.luks=0 


So, how the heck should this work?

Comment 6 RHEL Product and Program Management 2014-12-12 20:25:50 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 7 blackhawk 2019-03-05 14:10:51 UTC
Hi all,

I encountered the similar problem when trying to install rhel7.6 on an IBM z System lpar(z13).
Below is the console messages:
-----------------------------------------------------------------------------------------------------

"Uncompressing Linux... 
"
"Ok, booting the kernel.
"
"[    0.431711] Initializing cgroup subsys cpuset
[    0.431716] Initializing cgroup subsys cpu
[    0.431717] Initializing cgroup subsys cpuacct
[    0.431721] Linux version 3.10.0-957.el7.s390x (mockbuild@s390-013.build.bos.
redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-36) (GCC) ) #1 SMP Thu Oc
t 4 16:53:20 EDT 2018
[    0.431729] setup: Linux is running natively in 64-bit mode
[    0.456518] cpu: The CPU configuration topology of the machine is: 0 0 4 2 3 
8 / 4
[    0.456862] Write protected kernel read-only data: 9824k
[    0.553556] Zone ranges:
[    0.553564]   DMA      [mem 0x00000000-0x7fffffff]
[    0.553567]   Normal   [mem 0x80000000-0x7ffffffff]
[    0.553569] Movable zone start for each node
[    0.553571] Early memory node ranges
[    0.553573]   node   0: [mem 0x00000000-0x7ffffffff]
[    0.553576] Initmem setup node 0 [mem 0x00000000-0x7ffffffff]
[    0.770321] PERCPU: Embedded 18 pages/cpu @00000000a0300000 s33280 r8192 d322
56 u73728
[    0.770396] Built 1 zonelists in Zone order, mobility grouping on.  Total pag
es: 8257536
[    0.770399] Kernel command line: ro ramdisk_size=40000 cio_ignore=all,!condev
 rd.cmdline=ask
[    0.771857] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.776493] Dentry cache hash table entries: 4194304 (order: 13, 33554432 byt
es)
[    0.782397] Inode-cache hash table entries: 2097152 (order: 12, 16777216 byte
s)
[    0.947666] Memory: 32929888k/33554432k available (7515k kernel code, 0k rese
rved, 4262k data, 676k init)
[    0.947670] Write protected kernel read-only data: 0x100000 - 0xa97fff
[    0.947763] SLUB: HWalign=256, Order=0-3, MinObjects=0, CPUs=40, Nodes=1
[    0.947847] Hierarchical RCU implementation.
[    0.947848]  RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=40.
[    0.948082] Console: colour dummy device 80x25
[    1.056095] console [ttyS0] enabled
[    1.112527] allocated 134217728 bytes of page_cgroup
[    1.112528] please try 'cgroup_disable=memory' option if you don't want memor
y cgroups
[    1.112601] pid_max: default: 40960 minimum: 320
[    1.112640] Security Framework initialized
[    1.112653] SELinux:  Initializing.
[    1.112675] Yama: becoming mindful.
[    1.112697] Mount-cache hash table entries: 65536 (order: 7, 524288 bytes)
[    1.112700] Mountpoint-cache hash table entries: 65536 (order: 7, 524288 byte
s)
[    1.113286] Initializing cgroup subsys memory
[    1.113292] Initializing cgroup subsys devices
[    1.113295] Initializing cgroup subsys freezer
[    1.113298] Initializing cgroup subsys net_cls
[    1.113301] Initializing cgroup subsys blkio
[    1.113303] Initializing cgroup subsys perf_event
[    1.113307] Initializing cgroup subsys pids
[    1.113309] Initializing cgroup subsys net_prio
[    1.113332] ftrace: allocating 19301 entries in 76 pages
[    1.138929] cpu: 12 configured CPUs, 0 standby CPUs
[    1.141863] Brought up 12 CPUs
[    1.142613] devtmpfs: initialized
[    1.145782] atomic64 test passed
[    1.145872] NET: Registered protocol family 16
[    1.146056] Spectre V2 mitigation: execute trampolines.
"
"[    1.178604] SCSI subsystem initialized
[    1.182950] NetLabel: Initializing
[    1.182953] NetLabel:  domain hash size = 128
[    1.182955] NetLabel:  protocols = UNLABELED CIPSOv4
[    1.182978] NetLabel:  unlabeled traffic allowed by default
"
"[    1.626925] NET: Registered protocol family 2
[    1.627202] TCP established hash table entries: 131072 (order: 8, 1048576 byt
es)
[    1.627597] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    1.627949] TCP: Hash tables configured (established 131072 bind 65536)
[    1.627976] TCP: reno registered
[    1.627988] UDP hash table entries: 16384 (order: 7, 524288 bytes)
[    1.628189] UDP-Lite hash table entries: 16384 (order: 7, 524288 bytes)
[    1.628474] NET: Registered protocol family 1
[    1.628547] Unpacking initramfs...
"
"[    5.801116] Freeing initrd memory: 34660K (2000000 - 41d9000)
[    5.801356] Runtime instrumentation facility initialized
[    5.802620] futex hash table entries: 4096 (order: 8, 1048576 bytes)
[    5.802760] Initialise system trusted keyring
[    5.802777] audit: initializing netlink socket (disabled)
[    5.802785] type=2000 audit(1551776727.636:1): initialized
[    5.840467] HugeTLB registered 1 MB page size, pre-allocated 0 pages
[    5.842330] VFS: Disk quotas dquot_6.5.2
[    5.842371] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    5.842546] msgmni has been set to 32768
[    5.842598] Key type big_key registered
[    5.843437] NET: Registered protocol family 38
[    5.843444] Key type asymmetric registered
[    5.843448] Asymmetric key parser 'x509' registered
[    5.843488] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 2
52)
[    5.843542] io scheduler noop registered
[    5.843545] io scheduler deadline registered (default)
[    5.843576] io scheduler cfq registered
[    5.843580] io scheduler mq-deadline registered
[    5.843584] io scheduler kyber registered
[    5.843652] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    5.843705] hvc_iucv: The z/VM IUCV HVC device driver cannot be used without 
z/VM
[    5.843936] rdac: device handler registered
[    5.843988] hp_sw: device handler registered
[    5.843991] emc: device handler registered
[    5.844043] alua: device handler registered
[    5.844102] cio: Channel measurement facility initialized using format extend
ed (mode autodetected)
"
"[    6.163014] drop_monitor: Initializing network drop monitor service
[    6.163109] TCP: cubic registered
[    6.163114] Initializing XFRM netlink socket
[    6.163230] NET: Registered protocol family 10
[    6.163496] NET: Registered protocol family 17
[    6.163503] mpls_gso: MPLS GSO support
[    6.163666] Loading compiled-in X.509 certificates
[    6.164376] Loaded X.509 cert 'Red Hat Enterprise Linux Driver Update Program
 (key 3): bf57f3e87362bc7229d9f465321773dfd1f77a80'
[    6.165057] Loaded X.509 cert 'Red Hat Enterprise Linux kpatch signing key: 4
d38fd864ebe18c5f0b72e3852e2014c3a676fc8'
[    6.165733] Loaded X.509 cert 'Red Hat Enterprise Linux kernel signing key: 0
26b6326e6920a99e57c526059c3007a11236fc8'
[    6.165751] registered taskstats version 1
[    6.165963] Freeing unused kernel memory: 676K (b81000 - c2a000)
[    6.169917] random: systemd: uninitialized urandom read (16 bytes read)
[    6.170149] random: systemd: uninitialized urandom read (16 bytes read)
[    6.173259] systemd[1]: systemd 219 running in system mode. (+PAM +AUDIT +SEL
INUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +
XZ +LZ4 -SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
[    6.173460] systemd[1]: Detected architecture s390x.
[    6.173464] systemd[1]: Running in initial RAM disk.
[    6.173508] systemd[1]: No hostname configured.
[    6.173512] systemd[1]: Set hostname to <localhost>.
[    6.173524] random: systemd: uninitialized urandom read (16 bytes read)
[    6.173529] systemd[1]: Initializing machine ID from random generator.
[    6.175098] random: systemd-cryptse: uninitialized urandom read (16 bytes rea
d)
[    6.189506] random: systemd: uninitialized urandom read (16 bytes read)
[    6.189525] random: systemd: uninitialized urandom read (16 bytes read)
[    6.189557] random: systemd: uninitialized urandom read (16 bytes read)
[    6.189616] random: systemd: uninitialized urandom read (16 bytes read)
[    6.190073] random: systemd: uninitialized urandom read (16 bytes read)
[    6.190172] random: systemd: uninitialized urandom read (16 bytes read)
[    6.193363] systemd[1]: Cannot add dependency job for unit blk-availability.s
ervice, ignoring: Unit not found.
[    6.193549] systemd[1]: Reached target Swap.
[    6.193602] systemd[1]: Reached target Local File Systems.
[    6.193629] systemd[1]: Reached target Timers.
[    6.193851] systemd[1]: Created slice Root Slice.
[    6.193919] systemd[1]: Listening on Journal Socket.
[    6.193958] systemd[1]: Listening on udev Kernel Socket.
[    6.194003] systemd[1]: Listening on udev Control Socket.
[    6.194097] systemd[1]: Created slice System Slice.
[    6.194533] systemd[1]: Starting dracut ask for additional cmdline parameters
...
[    6.194982] systemd[1]: Starting Journal Service...
[    6.195497] systemd[1]: Starting Create list of required static device nodes 
for the current kernel...
[    6.195522] systemd[1]: Reached target Slices.
[    6.195980] systemd[1]: Starting Setup Virtual Console...
[    6.196561] systemd[1]: Starting Load Kernel Modules...
[    6.196584] systemd[1]: Reached target Local Encrypted Volumes.
[    6.197023] systemd[1]: Started Create list of required static device nodes f
or the current kernel.
[    6.197320] systemd[1]: Started Setup Virtual Console.
"
"[    6.197909] systemd[1]: Starting Create Static Device Nodes in /dev...
[    6.199887] systemd[1]: Started Create Static Device Nodes in /dev.
[    6.202691] systemd[1]: Started Load Kernel Modules.
[    6.203136] systemd[1]: Starting Apply Kernel Variables...
[    6.204583] systemd[1]: Started Apply Kernel Variables.
"
"Welcome to [0;34mRed Hat Enterprise Linux ComputeNode 7.6 (Maipo) dracut-033-554
.el7 (Initramfs)[0m!
[[32m  OK  [0m] Reached target Swap.
[[32m  OK  [0m] Reached target Local File Systems.
[[32m  OK  [0m] Reached target Timers.
[[32m  OK  [0m] Created slice Root Slice.
[[32m  OK  [0m] Listening on Journal Socket.
[[32m  OK  [0m] Listening on udev Kernel Socket.
[[32m  OK  [0m] Listening on udev Control Socket.
[[32m  OK  [0m] Created slice System Slice.
         Starting dracut ask for additional cmdline parameters...
         Starting Journal Service...
         Starting Create list of required st... nodes for the current kernel...
[[32m  OK  [0m] Reached target Slices.
         Starting Setup Virtual Console...
         Starting Load Kernel Modules...
[[32m  OK  [0m] Reached target Local Encrypted Volumes.
[[32m  OK  [0m] Started Create list of required sta...ce nodes for the current k
ernel.
[[32m  OK  [0m] Started Setup Virtual Console.
         Starting Create Static Device Nodes in /dev...
[[32m  OK  [0m] Started Create Static Device Nodes in /dev.
[[32m  OK  [0m] Started Load Kernel Modules.
         Starting Apply Kernel Variables...
[[32m  OK  [0m] Started Apply Kernel Variables.
"
"[[32m  OK  [0m] Started Journal Service.
"
"[    6.270664] systemd[1]: Started Journal Service.
"
"Enter additional kernel command line parameter (end with ctrl-d or .)
"
"> 
"
"inst.repo=ftp://9.181.137.76/media/rhel76-s390x rd.znet=qeth,0.0.900,0.0.901,0 .
0.902,layer2=0,portno=0 ip=9.125.72.213::9.125.72.1:24:rhzkvm01:enccw0.0.900:no 
ne
"
"> 
"
".
"
"[[32m  OK  [0m] Started dracut ask for additional cmdline parameters.
         Starting dracut cmdline hook...
"
"[[32m  OK  [0m] Started dracut cmdline hook.
         Starting dracut pre-udev hook...
"
"[  149.434284] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[  149.443164] Loading iSCSI transport class v2.0-870.
[  149.447085] iscsi: registered transport (tcp)
"
"[  150.903495] xor: measuring software checksum speed
[  150.998074]    8regs     : 15855.600 MB/sec
"
"[  151.098039]    8regs_prefetch: 16527.200 MB/sec
[  151.206321]    32regs    : 23914.000 MB/sec
"
"[  151.298040]    32regs_prefetch: 16334.800 MB/sec
[  151.298043] xor: using function: 32regs (23914.000 MB/sec)
"
"[  151.468108] raid6: int64x1  gen()  2909 MB/s
"
"[  151.638088] raid6: int64x2  gen()  3482 MB/s
"
"[  151.808036] raid6: int64x4  gen()  4607 MB/s
"
"[  151.978047] raid6: int64x8  gen()  2946 MB/s
[  151.978049] raid6: using algorithm int64x4 gen() (4607 MB/s)
[  151.978051] raid6: using intx1 recovery algorithm
[  152.015432] device-mapper: uevent: version 1.0.3
[  152.015508] device-mapper: ioctl: 4.37.1-ioctl (2018-04-03) initialised: dm-d
evel@redhat.com
[  152.052065] device-mapper: multipath round-robin: version 1.2.0 loaded
"
"[  152.070062] dracut-pre-udev[449]: modprobe: FATAL: Module sha256 not found.
"
"[  152.107043] RPC: Registered named UNIX socket transport module.
[  152.107046] RPC: Registered udp transport module.
[  152.107047] RPC: Registered tcp transport module.
[  152.107049] RPC: Registered tcp NFSv4.1 backchannel transport module.
"
"[[32m  OK  [0m] Started dracut pre-udev hook.
         Starting udev Kernel Device Manager...
[[32m  OK  [0m] Started udev Kernel Device Manager.
         Starting dracut pre-trigger hook...
[[32m  OK  [0m] Started dracut pre-trigger hook.
         Starting udev Coldplug all Devices...
         Mounting Configuration File System...
[[32m  OK  [0m] Mounted Configuration File System.
"
"[[32m  OK  [0m] Started udev Coldplug all Devices.
         Starting Device-Mapper Multipath Device Controller...
         Starting Show Plymouth Boot Screen...
[[32m  OK  [0m] Reached target System Initialization.
[[32m  OK  [0m] Listening on Open-iSCSI iscsiuio Socket.
[[32m  OK  [0m] Reached target Sockets.
"
"Warning: /dev/root does not exist
Generating ""/run/initramfs/rdsosreport.txt""
"
"Entering emergency mode. Exit the shell to continue.
Type ""journalctl"" to view system logs.
You might want to save ""/run/initramfs/rdsosreport.txt"" to a USB stick or /boot
after mounting them and attach it to a bug report.
"
"dracut:/# 
"
"shutdown
"
"sh: shutdown: command not found
"
"dracut:/# 
"
"poweroff
"
"[17359.396514] dracut-initqueue[1265]: Job for dracut-emergency.service canceled
.
[17359.398543] dracut-initqueue[1265]: Warning: Not all disks have been found.
[17359.398704] dracut-initqueue[1265]: Warning: You might want to regenerate you
r initramfs.
"

---------------------------------------------------------------------------------------------

What could be the reason and how can work around this?

Regards
FuLong


Note You need to log in before you can comment on or make changes to this bug.